Bug 21045 - W3C HTML 5.1 Nightly and WHATWG HTML should sync each other as much as possible
W3C HTML 5.1 Nightly and WHATWG HTML should sync each other as much as possible
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 normal
: ---
Assigned To: Robin Berjon
HTML WG Bugzilla archive list
:
Depends on:
Blocks: 21046 24297 24298
  Show dependency treegraph
 
Reported: 2013-02-19 12:48 UTC by Masatoshi Kimura
Modified: 2014-01-15 13:11 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masatoshi Kimura 2013-02-19 12:48:56 UTC
I was totally confused by HTMLImageElement's named constructor.
If both spec editors won't work together, which spec do we have to follow?
(Of course you will say "The W3C's one." :)
It would be the nightmare if implementers have to watch both specs and determine which description is newer.
Comment 1 Silvia Pfeiffer 2013-02-20 00:37:10 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Rejected

Change Description: none

Rationale: 

There are always a few commits on the WHATWG spec that haven't been cherry-picked on the HTML5.1 spec yet, but there's at most a delay of a week or two. I think you might find that both specs agree on this IDL for HTMLImageElement right now.

http://www.w3.org/TR/html5/single-page.html#the-img-element
http://www.whatwg.org/specs/web-apps/current-work/#the-img-element

As for advice on which spec to watch: that really depends on where the work around a specific feature is happening at that time.
Comment 2 Edward O'Connor 2013-02-20 00:52:03 UTC
I changed the resolution from INVALID to WORKSFORME, since the editorial team is actively trying to keep things in sync as much as possible.
Comment 3 Silvia Pfeiffer 2013-02-20 01:50:24 UTC
Fair enough. I reacted to the differences between the IDLs, which did not exist. :-)
Comment 4 Silvia Pfeiffer 2013-02-20 02:39:17 UTC
Just to be complete: the HTML5.1 spec constructor also agrees:
http://www.w3.org/TR/html51/embedded-content-0.html#the-img-element
Comment 5 Masatoshi Kimura 2013-02-20 11:07:09 UTC
(In reply to comment #4)
> Just to be complete: the HTML5.1 spec constructor also agrees:
> http://www.w3.org/TR/html51/embedded-content-0.html#the-img-element

Please see 
http://www.w3.org/html/wg/drafts/html/master/embedded-content-0.html#the-img-element
and
https://www.w3.org/Bugs/Public/show_bug.cgi?id=20554
The named constructor definition is
[NamedConstructor=Image(optional unsigned long width, optional unsigned long height)]
there which disagrees your URL.

Where is the latest spec? This is the very example of the confusion.
Comment 6 Masatoshi Kimura 2013-02-20 11:26:37 UTC
When I open <http://www.w3.org/TR/html51/>, I saw the following message:
> This is a work in progress! For the latest updates from the HTML WG, possibly including important bug fixes, please look at the editor's draft instead. 

I said WHATWG spec should sync with HTML 5.1 *Nightly* (formerly Editor's draft) in the summary.
Comment 7 Silvia Pfeiffer 2013-03-04 12:26:28 UTC
Not sure why this was changed, but assigning this to Robin, who applied the patch in https://github.com/w3c/html/commit/90bc0983729a9c351f8d6cc5632b6429920b6c0d

I believe this merge may have been done by mistake, because editorial_fixes should be merged into CR HTML5.0, but not into master (i.e. HTML5.1).

Robin to clarify?
Comment 8 Robin Berjon 2013-03-11 16:24:36 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: none
Rationale:

The specifications are actively being aligned, and are in sync on the vast majority of the content. If however you expect them to be in sync at any given time, well, the only way that can happen is if they were the same document — and that isn't the case.

The specific difference you cite is both small and recent. It is unreasonable to expect it to be synced immediately. Note that it is purely editorial (and was included deliberately) and makes no difference to script. It's just a simpler expression of the same thing that does not introduce any interoperability issues.

To summarise: we're aware that sync is needed, and we're working on it. I don't believe that having a bug open on the topic helps.
Comment 9 Silvia Pfeiffer 2013-03-12 00:31:27 UTC
Robin, sorry to be a pain, but the specific issue that was pointed out still needs addressing. I am curious why we changed the constructor instead of going with the WHATWG spec's. Was there a bug about it? Is this something we should also ask the WHATWG to adopt?
Comment 10 Ehsan Akhgari [:ehsan] 2013-03-12 01:13:09 UTC
(In reply to comment #9)
> Robin, sorry to be a pain, but the specific issue that was pointed out still
> needs addressing. I am curious why we changed the constructor instead of
> going with the WHATWG spec's. Was there a bug about it? Is this something we
> should also ask the WHATWG to adopt?

I filed bug 20554 in the wrong component (I meant to file it in the WHATWG component.)  Bug 21044 is on file to fix this in the WHATWG spec as well, but it has not been fixed yet.
Comment 11 Silvia Pfeiffer 2013-03-12 01:53:48 UTC
OK, thanks, that works for me.